Next Previous Contents

## 12. Undocumented Functions

The following functions are not yet documented:

## 12.1 SLprep_open_prep

Synopsis

  ??

Usage

  `int SLprep_open_prep (SLPreprocess_Type *);`

Description

  ??

See Also

  `??`

## 12.2 SLprep_close_prep

Synopsis

  ??

Usage

  `void SLprep_close_prep (SLPreprocess_Type *);`

Description

  ??

See Also

  `??`

## 12.3 SLprep_line_ok

Synopsis

  ??

Usage

  `int SLprep_line_ok (char *, SLPreprocess_Type *);`

Description

  ??

See Also

  `??`

## 12.4 SLdefine_for_ifdef

Synopsis

  ??

Usage

  `int SLdefine_for_ifdef (char *);`

Description

  ??

See Also

  `??`

## 12.5 SLang_Read_Line_Type * SLang_rline_save_line (SLang_RLine_Info_Type *);

Synopsis

  ??

Usage

  `SLang_Read_Line_Type * SLang_rline_save_line (SLang_RLine_Info_Type *);`

Description

  ??

See Also

  `??`

## 12.6 int SLang_init_readline (SLang_RLine_Info_Type *);

Synopsis

  ??

Usage

  `int SLang_init_readline (SLang_RLine_Info_Type *);`

Description

  ??

See Also

  `??`

## 12.7 int SLang_read_line (SLang_RLine_Info_Type *);

Synopsis

  ??

Usage

  `int SLang_read_line (SLang_RLine_Info_Type *);`

Description

  ??

See Also

  `??`

## 12.8 int SLang_rline_insert (char *);

Synopsis

  ??

Usage

  `int SLang_rline_insert (char *);`

Description

  ??

See Also

  `??`

## 12.9 void SLrline_redraw (SLang_RLine_Info_Type *);

Synopsis

  ??

Usage

  `void SLrline_redraw (SLang_RLine_Info_Type *);`

Description

  ??

See Also

  `??`

## 12.10 int SLtt_flush_output (void);

Synopsis

  ??

Usage

  `int SLtt_flush_output (void);`

Description

  ??

See Also

  `??`

## 12.11 void SLtt_set_scroll_region(int, int);

Synopsis

  ??

Usage

  `void SLtt_set_scroll_region(int, int);`

Description

  ??

See Also

  `??`

## 12.12 void SLtt_reset_scroll_region(void);

Synopsis

  ??

Usage

  `void SLtt_reset_scroll_region(void);`

Description

  ??

See Also

  `??`

## 12.13 void SLtt_reverse_video (int);

Synopsis

  ??

Usage

  `void SLtt_reverse_video (int);`

Description

  ??

See Also

  `??`

## 12.14 void SLtt_bold_video (void);

Synopsis

  ??

Usage

  `void SLtt_bold_video (void);`

Description

  ??

See Also

  `??`

## 12.15 void SLtt_begin_insert(void);

Synopsis

  ??

Usage

  `void SLtt_begin_insert(void);`

Description

  ??

See Also

  `??`

## 12.16 void SLtt_end_insert(void);

Synopsis

  ??

Usage

  `void SLtt_end_insert(void);`

Description

  ??

See Also

  `??`

## 12.17 void SLtt_del_eol(void);

Synopsis

  ??

Usage

  `void SLtt_del_eol(void);`

Description

  ??

See Also

  `??`

## 12.18 void SLtt_goto_rc (int, int);

Synopsis

  ??

Usage

  `void SLtt_goto_rc (int, int);`

Description

  ??

See Also

  `??`

## 12.19 void SLtt_delete_nlines(int);

Synopsis

  ??

Usage

  `void SLtt_delete_nlines(int);`

Description

  ??

See Also

  `??`

## 12.20 void SLtt_delete_char(void);

Synopsis

  ??

Usage

  `void SLtt_delete_char(void);`

Description

  ??

See Also

  `??`

## 12.21 void SLtt_erase_line(void);

Synopsis

  ??

Usage

  `void SLtt_erase_line(void);`

Description

  ??

See Also

  `??`

## 12.22 void SLtt_normal_video(void);

Synopsis

  ??

Usage

  `void SLtt_normal_video(void);`

Description

  ??

See Also

  `??`

## 12.23 void SLtt_cls(void);

Synopsis

  ??

Usage

  `void SLtt_cls(void);`

Description

  ??

See Also

  `??`

## 12.24 void SLtt_beep(void);

Synopsis

  ??

Usage

  `void SLtt_beep(void);`

Description

  ??

See Also

  `??`

## 12.25 void SLtt_reverse_index(int);

Synopsis

  ??

Usage

  `void SLtt_reverse_index(int);`

Description

  ??

See Also

  `??`

## 12.26 void SLtt_smart_puts(unsigned short *, unsigned short *, int, int);

Synopsis

  ??

Usage

  `void SLtt_smart_puts(unsigned short *, unsigned short *, int, int);`

Description

  ??

See Also

  `??`

## 12.27 void SLtt_write_string (char *);

Synopsis

  ??

Usage

  `void SLtt_write_string (char *);`

Description

  ??

See Also

  `??`

## 12.28 void SLtt_putchar(char);

Synopsis

  ??

Usage

  `void SLtt_putchar(char);`

Description

  ??

See Also

  `??`

## 12.29 int SLtt_init_video (void);

Synopsis

  ??

Usage

  `int SLtt_init_video (void);`

Description

  ??

See Also

  `??`

## 12.30 int SLtt_reset_video (void);

Synopsis

  ??

Usage

  `int SLtt_reset_video (void);`

Description

  ??

See Also

  `??`

## 12.31 void SLtt_get_terminfo(void);

Synopsis

  ??

Usage

  `void SLtt_get_terminfo(void);`

Description

  ??

See Also

  `??`

## 12.32 void SLtt_get_screen_size (void);

Synopsis

  ??

Usage

  `void SLtt_get_screen_size (void);`

Description

  ??

See Also

  `??`

## 12.33 int SLtt_set_cursor_visibility (int);

Synopsis

  ??

Usage

  `int SLtt_set_cursor_visibility (int);`

Description

  ??

See Also

  `??`

## 12.34 int SLtt_initialize (char *);

Synopsis

  ??

Usage

  `int SLtt_initialize (char *);`

Description

  ??

See Also

  `??`

## 12.35 void SLtt_enable_cursor_keys(void);

Synopsis

  ??

Usage

  `void SLtt_enable_cursor_keys(void);`

Description

  ??

See Also

  `??`

## 12.36 void SLtt_set_term_vtxxx(int *);

Synopsis

  ??

Usage

  `void SLtt_set_term_vtxxx(int *);`

Description

  ??

See Also

  `??`

## 12.37 void SLtt_set_color_esc (int, char *);

Synopsis

  ??

Usage

  `void SLtt_set_color_esc (int, char *);`

Description

  ??

See Also

  `??`

## 12.38 void SLtt_wide_width(void);

Synopsis

  ??

Usage

  `void SLtt_wide_width(void);`

Description

  ??

See Also

  `??`

## 12.39 void SLtt_narrow_width(void);

Synopsis

  ??

Usage

  `void SLtt_narrow_width(void);`

Description

  ??

See Also

  `??`

## 12.40 int SLtt_set_mouse_mode (int, int);

Synopsis

  ??

Usage

  `int SLtt_set_mouse_mode (int, int);`

Description

  ??

See Also

  `??`

## 12.41 void SLtt_set_alt_char_set (int);

Synopsis

  ??

Usage

  `void SLtt_set_alt_char_set (int);`

Description

  ??

See Also

  `??`

## 12.42 int SLtt_write_to_status_line (char *, int);

Synopsis

  ??

Usage

  `int SLtt_write_to_status_line (char *, int);`

Description

  ??

See Also

  `??`

## 12.43 void SLtt_disable_status_line (void);

Synopsis

  ??

Usage

  `void SLtt_disable_status_line (void);`

Description

  ??

See Also

  `??`

## 12.44 char *SLtt_tgetstr (char *);

Synopsis

  ??

Usage

  `char *SLtt_tgetstr (char *);`

Description

  ??

See Also

  `??`

## 12.45 int SLtt_tgetnum (char *);

Synopsis

  ??

Usage

  `int SLtt_tgetnum (char *);`

Description

  ??

See Also

  `??`

## 12.46 int SLtt_tgetflag (char *);

Synopsis

  ??

Usage

  `int SLtt_tgetflag (char *);`

Description

  ??

See Also

  `??`

## 12.47 char *SLtt_tigetent (char *);

Synopsis

  ??

Usage

  `char *SLtt_tigetent (char *);`

Description

  ??

See Also

  `??`

## 12.48 char *SLtt_tigetstr (char *, char **);

Synopsis

  ??

Usage

  `char *SLtt_tigetstr (char *, char **);`

Description

  ??

See Also

  `??`

## 12.49 int SLtt_tigetnum (char *, char **);

Synopsis

  ??

Usage

  `int SLtt_tigetnum (char *, char **);`

Description

  ??

See Also

  `??`

## 12.50 SLtt_Char_Type SLtt_get_color_object (int);

Synopsis

  ??

Usage

  `SLtt_Char_Type SLtt_get_color_object (int);`

Description

  ??

See Also

  `??`

## 12.51 void SLtt_set_color_object (int, SLtt_Char_Type);

Synopsis

  ??

Usage

  `void SLtt_set_color_object (int, SLtt_Char_Type);`

Description

  ??

See Also

  `??`

## 12.52 void SLtt_set_color (int, char *, char *, char *);

Synopsis

  ??

Usage

  `void SLtt_set_color (int, char *, char *, char *);`

Description

  ??

See Also

  `??`

## 12.53 void SLtt_set_mono (int, char *, SLtt_Char_Type);

Synopsis

  ??

Usage

  `void SLtt_set_mono (int, char *, SLtt_Char_Type);`

Description

  ??

See Also

  `??`

## 12.54 void SLtt_add_color_attribute (int, SLtt_Char_Type);

Synopsis

  ??

Usage

  `void SLtt_add_color_attribute (int, SLtt_Char_Type);`

Description

  ??

See Also

  `??`

## 12.55 void SLtt_set_color_fgbg (int, SLtt_Char_Type, SLtt_Char_Type);

Synopsis

  ??

Usage

  `void SLtt_set_color_fgbg (int, SLtt_Char_Type, SLtt_Char_Type);`

Description

  ??

See Also

  `??`

## 12.56 int SLkp_define_keysym (char *, unsigned int);

Synopsis

  ??

Usage

  `int SLkp_define_keysym (char *, unsigned int);`

Description

  ??

See Also

  `??`

## 12.57 int SLkp_init (void);

Synopsis

  ??

Usage

  `int SLkp_init (void);`

Description

  ??

See Also

  `??`

## 12.58 int SLkp_getkey (void);

Synopsis

  ??

Usage

  `int SLkp_getkey (void);`

Description

  ??

See Also

  `??`

## 12.59 int SLscroll_find_top (SLscroll_Window_Type *);

Synopsis

  ??

Usage

  `int SLscroll_find_top (SLscroll_Window_Type *);`

Description

  ??

See Also

  `??`

## 12.60 int SLscroll_find_line_num (SLscroll_Window_Type *);

Synopsis

  ??

Usage

  `int SLscroll_find_line_num (SLscroll_Window_Type *);`

Description

  ??

See Also

  `??`

## 12.61 unsigned int SLscroll_next_n (SLscroll_Window_Type *, unsigned int);

Synopsis

  ??

Usage

  `unsigned int SLscroll_next_n (SLscroll_Window_Type *, unsigned int);`

Description

  ??

See Also

  `??`

## 12.62 unsigned int SLscroll_prev_n (SLscroll_Window_Type *, unsigned int);

Synopsis

  ??

Usage

  `unsigned int SLscroll_prev_n (SLscroll_Window_Type *, unsigned int);`

Description

  ??

See Also

  `??`

## 12.63 int SLscroll_pageup (SLscroll_Window_Type *);

Synopsis

  ??

Usage

  `int SLscroll_pageup (SLscroll_Window_Type *);`

Description

  ??

See Also

  `??`

## 12.64 int SLscroll_pagedown (SLscroll_Window_Type *);

Synopsis

  ??

Usage

  `int SLscroll_pagedown (SLscroll_Window_Type *);`

Description

  ??

See Also

  `??`

## 12.65 SLSig_Fun_Type *SLsignal (int, SLSig_Fun_Type *);

Synopsis

  ??

Usage

  `SLSig_Fun_Type *SLsignal (int, SLSig_Fun_Type *);`

Description

  ??

See Also

  `??`

## 12.66 SLSig_Fun_Type *SLsignal_intr (int, SLSig_Fun_Type *);

Synopsis

  ??

Usage

  `SLSig_Fun_Type *SLsignal_intr (int, SLSig_Fun_Type *);`

Description

  ??

See Also

  `??`

## 12.67 int SLsig_block_signals (void);

Synopsis

  ??

Usage

  `int SLsig_block_signals (void);`

Description

  ??

See Also

  `??`

## 12.68 int SLsig_unblock_signals (void);

Synopsis

  ??

Usage

  `int SLsig_unblock_signals (void);`

Description

  ??

See Also

  `??`

## 12.69 int SLsystem (char *);

Synopsis

  ??

Usage

  `int SLsystem (char *);`

Description

  ??

See Also

  `??`

## 12.70 void SLadd_at_handler (long *, char *);

Synopsis

  ??

Usage

  `void SLadd_at_handler (long *, char *);`

Description

  ??

See Also

  `??`

## 12.71 void SLang_define_case(int *, int *);

Synopsis

  ??

Usage

  `void SLang_define_case(int *, int *);`

Description

  ??

See Also

  `??`

## 12.72 void SLang_init_case_tables (void);

Synopsis

  ??

Usage

  `void SLang_init_case_tables (void);`

Description

  ??

See Also

  `??`

## 12.73 unsigned char *SLang_regexp_match(unsigned char *, unsigned int, SLRegexp_Type *);

Synopsis

  ??

Usage

  `unsigned char *SLang_regexp_match(unsigned char *, unsigned int, SLRegexp_Type *);`

Description

  ??

See Also

  `??`

## 12.74 int SLang_regexp_compile (SLRegexp_Type *);

Synopsis

  ??

Usage

  `int SLang_regexp_compile (SLRegexp_Type *);`

Description

  ??

See Also

  `??`

## 12.75 char *SLregexp_quote_string (char *, char *, unsigned int);

Synopsis

  ??

Usage

  `char *SLregexp_quote_string (char *, char *, unsigned int);`

Description

  ??

See Also

  `??`

## 12.76 int SLcmd_execute_string (char *, SLcmd_Cmd_Table_Type *);

Synopsis

  ??

Usage

  `int SLcmd_execute_string (char *, SLcmd_Cmd_Table_Type *);`

Description

  ??

See Also

  `??`

## 12.77 SLcomplex_abs

Synopsis

  Returns the norm of a complex number

Usage

  `double SLcomplex_abs (double *z)`}

Description

  The `SLcomplex_abs` function returns the absolute value or the norm of the complex number given by `z`.

See Also

  `SLcomplex_times`

## 12.78 double *SLcomplex_times (double *, double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_times (double *, double *, double *);`

Description

  ??

See Also

  `??`

## 12.79 double *SLcomplex_divide (double *, double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_divide (double *, double *, double *);`

Description

  ??

See Also

  `??`

## 12.80 double *SLcomplex_sin (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_sin (double *, double *);`

Description

  ??

See Also

  `??`

## 12.81 double *SLcomplex_cos (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_cos (double *, double *);`

Description

  ??

See Also

  `??`

## 12.82 double *SLcomplex_tan (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_tan (double *, double *);`

Description

  ??

See Also

  `??`

## 12.83 double *SLcomplex_asin (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_asin (double *, double *);`

Description

  ??

See Also

  `??`

## 12.84 double *SLcomplex_acos (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_acos (double *, double *);`

Description

  ??

See Also

  `??`

## 12.85 double *SLcomplex_atan (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_atan (double *, double *);`

Description

  ??

See Also

  `??`

## 12.86 double *SLcomplex_exp (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_exp (double *, double *);`

Description

  ??

See Also

  `??`

## 12.87 double *SLcomplex_log (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_log (double *, double *);`

Description

  ??

See Also

  `??`

## 12.88 double *SLcomplex_log10 (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_log10 (double *, double *);`

Description

  ??

See Also

  `??`

## 12.89 double *SLcomplex_sqrt (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_sqrt (double *, double *);`

Description

  ??

See Also

  `??`

## 12.90 double *SLcomplex_sinh (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_sinh (double *, double *);`

Description

  ??

See Also

  `??`

## 12.91 double *SLcomplex_cosh (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_cosh (double *, double *);`

Description

  ??

See Also

  `??`

## 12.92 double *SLcomplex_tanh (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_tanh (double *, double *);`

Description

  ??

See Also

  `??`

## 12.93 double *SLcomplex_pow (double *, double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_pow (double *, double *, double *);`

Description

  ??

See Also

  `??`

## 12.94 double SLmath_hypot (double x, double y);

Synopsis

  ??

Usage

  `double SLmath_hypot (double x, double y);`

Description

  ??

See Also

  `??`

extern double *SLcomplex_asinh (double *, double *);

## 12.95 double *SLcomplex_acosh (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_acosh (double *, double *);`

Description

  ??

See Also

  `??`

## 12.96 double *SLcomplex_atanh (double *, double *);

Synopsis

  ??

Usage

  `double *SLcomplex_atanh (double *, double *);`

Description

  ??

See Also

  `??`

## 12.97 char *SLdebug_malloc (unsigned long);

Synopsis

  ??

Usage

  `char *SLdebug_malloc (unsigned long);`

Description

  ??

See Also

  `??`

## 12.98 char *SLdebug_calloc (unsigned long, unsigned long);

Synopsis

  ??

Usage

  `char *SLdebug_calloc (unsigned long, unsigned long);`

Description

  ??

See Also

  `??`

## 12.99 char *SLdebug_realloc (char *, unsigned long);

Synopsis

  ??

Usage

  `char *SLdebug_realloc (char *, unsigned long);`

Description

  ??

See Also

  `??`

## 12.100 void SLdebug_free (char *);

Synopsis

  ??

Usage

  `void SLdebug_free (char *);`

Description

  ??

See Also

  `??`

## 12.101 void SLmalloc_dump_statistics (void);

Synopsis

  ??

Usage

  `void SLmalloc_dump_statistics (void);`

Description

  ??

See Also

  `??`

## 12.102 char *SLstrcpy(register char *, register char *);

Synopsis

  ??

Usage

  `char *SLstrcpy(register char *, register char *);`

Description

  ??

See Also

  `??`

## 12.103 int SLstrcmp(register char *, register char *);

Synopsis

  ??

Usage

  `int SLstrcmp(register char *, register char *);`

Description

  ??

See Also

  `??`

## 12.104 char *SLstrncpy(char *, register char *, register int);

Synopsis

  ??

Usage

  `char *SLstrncpy(char *, register char *, register int);`

Description

  ??

See Also

  `??`

## 12.105 void SLmemset (char *, char, int);

Synopsis

  ??

Usage

  `void SLmemset (char *, char, int);`

Description

  ??

See Also

  `??`

## 12.106 void SLexpand_escaped_string (register char *, register char *, register char *);

Synopsis

  ??

Usage

  `void SLexpand_escaped_string (register char *, register char *, register char *);`

Description

  ??

See Also

  `??`

## 12.107 void SLmake_lut (unsigned char *, unsigned char *, unsigned char);

Synopsis

  ??

Usage

  `void SLmake_lut (unsigned char *, unsigned char *, unsigned char);`

Description

  ??

See Also

  `??`

## 12.108 int SLang_guess_type (char *);

Synopsis

  ??

Usage

  `int SLang_guess_type (char *);`

Description

  ??

See Also

  `??`

Next Previous Contents